%define major	2
%define libname	%mklibname %{name} %{major}

Summary:	Multicast dns support for glibc domain resolver
Name:		nss-mdns
Version:	0.15.1
Release:	%mkrel 5
License:	LGPLv2+
Url:		https://github.com/lathiat/nss-mdns
Source:		https://github.com/lathiat/nss-mdns/releases/download/v%{version}/%{name}-%{version}.tar.gz
Group:		System/Libraries
BuildRequires:	pkgconfig(avahi-core)

%description
nss-mdns is a plugin for the Name Service Switch (NSS) functionality of the
glibc providing host name resolution via Multicast DNS (aka Zeroconf, aka
Apple Rendezvous), effectively allowing name resolution by common
Unix/Linux programs in the ad-hoc mDNS domain .local.

nss-mdns provides client functionality only, which means that you have to run
a mDNS responder daemon separately from nss-mdns if you want to register
the local host name via mDNS.

%package data
Summary:	Configuration files for %{name}
Group:		Networking/Other
BuildArch:	noarch
Provides:	nss_mdns-data = %{version}-%{release}
Obsoletes:	nss_mdns-data < 0.15.1-3

%description data
This package contains the configuration files for %{name}.

%package -n %{libname}
Summary:	Multicast dns support for glibc domain resolver
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	nss_mdns = %{version}-%{release}
Provides:	%{name}-modules = %{version}-%{release}
Requires:	%{name}-data >= %{version}
# for /etc/sysconfig/network
Requires(post):	initscripts

%description -n %{libname}
nss-mdns is a plugin for the Name Service Switch (NSS) functionality of the
glibc providing host name resolution via Multicast DNS (aka Zeroconf, aka
Apple Rendezvous), effectively allowing name resolution by common
Unix/Linux programs in the ad-hoc mDNS domain .local.

nss-mdns provides client functionality only, which means that you have to run
a mDNS responder daemon separately from nss-mdns if you want to register
the local host name via mDNS.

%prep
%autosetup -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure \
	--enable-avahi
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/
cat > %{buildroot}%{_sysconfdir}/mdns.allow  <<EOF
# place here the domain that should be resolved by multicast dns
# use * to include all ( not recommended )
.local.
.local
EOF

%files data
%config(noreplace) %{_sysconfdir}/mdns.allow

%files -n %{libname}
%doc README.md NEWS.md
%{_libdir}/libnss_mdns*.so.%{major}


%changelog
* Wed May 28 2025 daviddavid <daviddavid> 0.15.1-5.mga10
+ Revision: 2186775
- provides also nss_mdns

* Wed May 28 2025 daviddavid <daviddavid> 0.15.1-4.mga10
+ Revision: 2186767
- provides replaced nss_mdns-data

* Tue May 27 2025 papoteur <papoteur> 0.15.1-3.mga10
+ Revision: 2186755
- remove %%post and %%postun section, leaving a permanent entry in hosts line of nsswitch.conf provide by glibc
- rename the package in nss-mdns
- obsolete nss_mdns-data
- renaming in nss-mdns as upstream

* Wed Apr 06 2022 umeabot <umeabot> 0.15.1-2.mga9
+ Revision: 1845720
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 0.15.1-1.mga9
+ Revision: 1740249
- 0.15.1
- update URLs

* Thu Feb 13 2020 umeabot <umeabot> 0.10-19.mga8
+ Revision: 1515563
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.10-18.mga7
+ Revision: 1299802
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 pterjan <pterjan> 0.10-17.mga7
+ Revision: 1238649
- Rebuild for aarch64 fix
+ wally <wally>
- fix URLs
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.10-16.mga6
+ Revision: 950623
- Mageia 6 Mass Rebuild

* Thu Nov 13 2014 cjw <cjw> 0.10-15.mga5
+ Revision: 796717
- fix post and postun scripts; default config is now always set on install
- remove non-working URLs

* Wed Oct 15 2014 umeabot <umeabot> 0.10-14.mga5
+ Revision: 744534
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10-13.mga5
+ Revision: 682942
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.10-12.mga4
+ Revision: 528203
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 wally <wally> 0.10-11.mga4
+ Revision: 443769
- libify pkg

* Sat Jan 12 2013 umeabot <umeabot> 0.10-10.mga3
+ Revision: 361066
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 15 2011 pterjan <pterjan> 0.10-9.mga1
+ Revision: 18945
- Drop obsolete scriptlets
- imported package nss_mdns

